List tags
curl --request GET \
--url https://api.vendaze.com/v1/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vendaze.com/v1/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vendaze.com/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Hot Lead",
"key": "hot_lead",
"color_text": "#ffffff",
"color_background": "#ef4444",
"created_at": "2026-01-15T10:30:00Z"
}
],
"meta": {
"total": 12,
"page": 1,
"per_page": 50,
"has_more": false
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Tags
List tags
Returns a paginated list of tags in the workspace.
Required scope
Required scope
tags:read
GET
/
v1
/
tags
List tags
Authorizations
OAuth 2.1 access token.
Query Parameters
Page number.
Required range:
x >= 1Number of records per page. Maximum: 50.
Required range:
1 <= x <= 50Field to sort by.
Available options:
created_at, name Sort direction.
Available options:
asc, desc Filter by tag name (case-insensitive contains).
Was this page helpful?
⌘I